Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.ioc.components
Class ComponentTableImpl

    java.lang.Object
      com.servingxml.ioc.components.ComponentTableImpl

All Implemented Interfaces:
  ComponentDictionary, ComponentTable

    public class ComponentTableImpl

extends java.lang.Object
implements ComponentTable

Constructor Summary
`ComponentTableImpl()`

Method Summary
`void` | `addAbstractComponent(AbstractComponent component)`
`void` | `addConfigurationComponent(ConfigurationComponent component)`
`void` | `addServiceComponent(ServiceComponent component)`
`ServiceComponent` | `findServiceComponent(int nameSymbol)`
`AbstractComponent` | `getAbstractComponent(int nameSymbol)`
`ConfigurationComponent` | `getConfigurationComponent(int nameSymbol)`
`ServiceComponent` | `getDefaultServiceComponent()`
`java.lang.Class` | `getInterface(int nameSymbol)`
`ServiceComponent` | `getServiceComponent(int nameSymbol)`
`void` | `initialize(NameTable nameTable)`
`void` | `initialize(NameTable nameTable, ComponentTable parent, java.util.Map<java.lang.Integer,java.lang.Class> serviceInterfaceMap)`
`boolean` | `isEmpty()`
`void` | `printDiagnostics(java.io.PrintStream printStream, NameTable nameTable)`
`void` | `setDefaultServiceComponent(ServiceComponent component)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComponentTableImpl

    public ComponentTableImpl()

Method Detail

### addAbstractComponent

    public void addAbstractComponent(AbstractComponent component)

  Specified by:
    `addAbstractComponent` in interface `ComponentTable`

### addServiceComponent

    public void addServiceComponent(ServiceComponent component)

  Specified by:
    `addServiceComponent` in interface `ComponentTable`

### addConfigurationComponent

    public void addConfigurationComponent(ConfigurationComponent component)

  Specified by:
    `addConfigurationComponent` in interface `ComponentTable`

### initialize

    public void initialize(NameTable nameTable)

  Specified by:
    `initialize` in interface `ComponentTable`

### initialize

    public void initialize(NameTable nameTable,
                           ComponentTable parent,
                           java.util.Map<java.lang.Integer,java.lang.Class> serviceInterfaceMap)

  Specified by:
    `initialize` in interface `ComponentTable`

### setDefaultServiceComponent

    public void setDefaultServiceComponent(ServiceComponent component)

  Specified by:
    `setDefaultServiceComponent` in interface `ComponentTable`

### getDefaultServiceComponent

    public ServiceComponent getDefaultServiceComponent()

  Specified by:
    `getDefaultServiceComponent` in interface `ComponentDictionary`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `ComponentTable`

### getConfigurationComponent

    public ConfigurationComponent getConfigurationComponent(int nameSymbol)

  Specified by:
    `getConfigurationComponent` in interface `ComponentDictionary`

### getServiceComponent

    public ServiceComponent getServiceComponent(int nameSymbol)

  Specified by:
    `getServiceComponent` in interface `ComponentDictionary`

### findServiceComponent

    public ServiceComponent findServiceComponent(int nameSymbol)

  Specified by:
    `findServiceComponent` in interface `ComponentDictionary`
  Specified by:
    `findServiceComponent` in interface `ComponentTable`

### getAbstractComponent

    public AbstractComponent getAbstractComponent(int nameSymbol)

  Specified by:
    `getAbstractComponent` in interface `ComponentDictionary`

### getInterface

    public java.lang.Class getInterface(int nameSymbol)

  Specified by:
    `getInterface` in interface `ComponentDictionary`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### printDiagnostics

    public void printDiagnostics(java.io.PrintStream printStream,
                                 NameTable nameTable)

  Specified by:
    `printDiagnostics` in interface `ComponentDictionary`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD